Authorization: Bearer ********************curl --location --request PUT '/locations/' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "customer",
"email": "willsmith@bowmanfurniture.com",
"phone": "+1-925-921-9201",
"address": {
"city": "New York City",
"state": "New York",
"country": "string",
"attention": "string",
"state_code": "NY",
"street_address1": "No:234,90 Church Street",
"street_address2": "McMillan Avenue"
},
"location_name": "string",
"tax_settings_id": "460000000038080",
"parent_location_id": "460000000041010",
"associated_series_ids": [
"982000000870911",
"982000000870915"
],
"auto_number_generation_id": "982000000870911",
"is_all_users_selected": false,
"user_ids": "460000000036868,460000000036869"
}'{
"code": 0,
"message": "Location has been updated.",
"locations": {
"address": {
"city": "New York City",
"state": "New York",
"country": "string",
"attention": "string",
"state_code": "NY",
"street_address1": "No:234,90 Church Street",
"street_address2": "McMillan Avenue"
},
"email": "willsmith@bowmanfurniture.com",
"is_primary": true,
"phone": "+1-925-921-9201",
"status": "active",
"location_id": "460000000038080",
"location_name": "string",
"type": "customer",
"parent_location_id": "460000000041010",
"associated_series_ids": [
"982000000870911",
"982000000870915"
],
"auto_number_generation_id": "982000000870911",
"associated_users": [
{
"user_id": "460000000036868",
"user_name": "John Doe"
}
],
"tax_settings_id": "460000000038080"
}
}